Subject: Re: board specific defines in commproc.h !?!?

From: Steven Scholz <[email-masked]>
Date: Wed, 19 Jun 2002 17:33:41 +0200

Tom Rini wrote:
>
> On Wed, Jun 19, 2002 at 05:18:04PM +0200, Steven Scholz wrote:
> >
> > Tom Rini wrote:
> >
> > > I'm sort-of supprised it works.
> > I told you, it's not that much to do...
> > :-)
> >
> > > Isn't:
> > > ((uint)0x....)
> > > in assembly bad?
> >
> > Hmm. Don't know. Maybe. But these are just DEFINES! So what should that
> > be bad?
>
> Oh yeah, right..  Hmm, it probably won't break anything then..
>
> > > I think we need to have all of these defines enclosed with the
> > > __ASSEMBLY__ test, but I can go fix that.
> >
> > At least spd8xx.h and tqm8xx.h don't have any #ifndef __ASSEMBLY__ at
> > all!?
>
> (... waking up ...) Because the only C bits they had are now in
> <asm/ppcboot.h> which does the test right.
>

All right then. I can't do more testing due to the lack of hardware.
Maybe Wolfgang could spend a little of his precious time since he claims
to have a zoo of boards... :o)
(Especially TQM8xxL, FPS850L, SM850)

So when can I "bk pull" these changes then, Tom?

Good luck,

Steven

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/